## org.codehaus.groovy.ast.stmt
Class ReturnStatement

A return statement

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`ReturnStatement` | `RETURN_NULL_OR_VOID`
`Expression` | `expression`

Constructor Summary
`ReturnStatement(ExpressionStatement statement)`
`ReturnStatement(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`void` | `setExpression(Expression expression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ReturnStatement

    public ReturnStatement(ExpressionStatement statement)

### ReturnStatement

    public ReturnStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### setExpression

    public void setExpression(Expression expression)

### visit

    public void visit(GroovyCodeVisitor visitor)